<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">

            <div class="ibox-title">
                <h3>
                    <strong>Edit Tariff</strong>
                </h3>
            </div>
            <div class="ibox-title">
                <h4>General Tariff Info </h4>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateTariff()">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Name
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Name" maxlength="30" formControlName="name"
                                class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['name'].invalid && (editForm.controls['name'].dirty || editForm.controls['name'].touched)">
                                <div *ngIf="editForm.controls['name'].errors.required">
                                    Name is required.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Is general
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" formControlName="is_general">
                                <mat-option value="1">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Additional splitup applicable for Drivers
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" formControlName="is_for_driver_list">
                                <mat-option value="0">For DTC Drivers</mat-option>
                                <mat-option value="1">For External Drivers</mat-option>
                                <mat-option value="2">Both</mat-option>
                                <mat-option value="-1">None</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="editForm.controls['is_for_driver_list'].invalid && (editForm.controls['is_for_driver_list'].dirty || editForm.controls['is_for_driver_list'].touched)">
                                <div *ngIf="editForm.controls['is_for_driver_list'].errors.required">Additional splitup
                                    applicable is
                                    required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Additional splitup Details
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <div class="col-sm-8 form-input">
                                <p *ngIf="additional_splitup_data.length==0">No Records</p>
                                <table aria-describedby="General Tariff Info" class="table table-striped driver-listing table-bordered zoom"
                                    *ngIf="additional_splitup_data.length>0">
                                    <thead>
                                        <tr>
                                            <th scope="col">Split ID</th>
                                            <th scope="col">Split up Name</th>
                                            <th scope="col">Amount</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let adddata of additional_splitup_data; let i = index"
                                            [attr.data-index]="i">
                                            <td class="text-center">
                                                {{adddata.id}}
                                            </td>
                                            <td class="text-center">
                                                {{adddata.name}}
                                            </td>
                                            <td class="text-center">
                                                {{adddata.amount}}
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-sm-2 form-input">
                                <button class="btn btn-primary"
                                    (click)="AdditionalSplitup();$event.preventDefault()">Edit</button>
                            </div>
                        </div>
                    </div>
                    <div class="form-group" [hidden]="!modelsFlag">
                        <label class="col-sm-2 control-label">Vehicle Model
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10">
                            <mat-chip-list #chipList>
                                <mat-chip *ngFor="let model of models" [selectable]="selectable" [removable]="removable"
                                    (removed)="remove(model)" style="font-size:10px;">
                                    {{model.name}}
                                    <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                                </mat-chip>
                                <input placeholder="select Vehicle Model" #fruitInput class="form-control mat-select"
                                    [matAutocomplete]="autoModel" [matChipInputFor]="chipList">
                            </mat-chip-list>
                            <mat-autocomplete #autoModel="matAutocomplete" (optionSelected)="selected($event)"
                                [displayWith]="displayFnModels">
                                <mat-option *ngFor="let v_model of vehicle_models" [value]="v_model">
                                    {{v_model.name}}
                                </mat-option>
                            </mat-autocomplete>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Tariff type
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <select class="form-control" placeholder="Tariff type" formControlName="tariff_type"
                                (change)="checkTariff()">
                                <option [value]="tariff_type" *ngFor="let tariff_type of tariff_types">
                                    {{tariff_type}}
                            </select>
                            <div class="error-msg"
                                *ngIf="editForm.controls['tariff_type'].invalid && (editForm.controls['tariff_type'].dirty || editForm.controls['tariff_type'].touched)">
                                <div *ngIf="editForm.controls['tariff_type'].errors.required">
                                    Tariff type is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vat
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Vat" pattern="[0-9]+([.][0-9]+)?" maxlength="7"
                                formControlName="vat" class="form-control">
                            <div class="error-msg"
                                *ngIf="editForm.controls['vat'].invalid && (editForm.controls['vat'].dirty || editForm.controls['vat'].touched)">
                                <div *ngIf="editForm.controls['vat'].errors.required">
                                    Vat is required.
                                </div>
                                <div *ngIf="editForm.controls['vat'].errors.pattern">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label"> Price with vat
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <select class="form-control" formControlName="price_with_vat">
                                <option value="Yes">Yes</option>
                                <option value="No">No</option>
                            </select>
                            <div class="error-msg"
                                *ngIf="editForm.controls['price_with_vat'].invalid && (editForm.controls['price_with_vat'].dirty || editForm.controls['price_with_vat'].touched)">
                                <div *ngIf="editForm.controls['price_with_vat'].errors.required">
                                    Price with vat is required.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div *ngIf="!hideFields">
                        <div class="ibox-title">
                            <h4>Peek Time </h4>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Is peek tariff
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <select class="form-control" formControlName="is_peek_tariff"
                                    (change)="ShowPeekTime($event)">
                                    <option value="1">Yes</option>
                                    <option value="0">No</option>
                                </select>
                                <div class="error-msg"
                                    *ngIf="editForm.controls['is_peek_tariff'].invalid && (editForm.controls['is_peek_tariff'].dirty || editForm.controls['is_peek_tariff'].touched)">
                                    <div *ngIf="editForm.controls['is_peek_tariff'].errors.required">
                                        Is peek tariff is required.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div *ngIf="showpeek">
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Peek days </label>
                                <div class="col-sm-10 form-input">
                                    <mat-select multiple formControlName="peek_days" class="form-control"
                                        [(ngModel)]="selectedValue">
                                        <mat-option *ngFor="let peek_days of peekDayList" [value]="peek_days.value">
                                            {{peek_days.viewValue}}</mat-option>
                                    </mat-select>
                                    <div class="error-msg" *ngIf="showpeek">
                                        <div
                                            *ngIf="editForm.controls['peek_days'].invalid && (editForm.controls['peek_days'].dirty || editForm.controls['peek_days'].touched)">
                                            <div *ngIf="editForm.controls['peek_days'].errors.required">
                                                Peek days is required.
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Peek start time
                                    <i aria-hidden="true" class="mandatory">*</i>
                                </label>
                                <div class="col-sm-10 form-input">
                                    <input type="time" (click)="checkPeekStartTime()" formControlName="peek_time_start"
                                        class="form-control" />
                                    <div class="error-msg" *ngIf="showpeek">
                                        <div
                                            *ngIf="editForm.controls['peek_time_start'].invalid && (editForm.controls['peek_time_start'].dirty || editForm.controls['peek_time_start'].touched)">
                                            <div *ngIf="editForm.controls['peek_time_start'].errors.required">
                                                Peek start time is required.
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Peek end time
                                    <i aria-hidden="true" class="mandatory">*</i>
                                </label>
                                <div class="col-sm-10 form-input">
                                    <input type="time" (click)="checkPeekEndTime()" formControlName="peek_time_end"
                                        class="form-control" />
                                    <div class="error-msg" *ngIf="showpeek">
                                        <div
                                            *ngIf="editForm.controls['peek_time_end'].invalid && (editForm.controls['peek_time_end'].dirty || editForm.controls['peek_time_end'].touched)">
                                            <div *ngIf="editForm.controls['peek_time_end'].errors.required">
                                                Peek end time is required.
                                            </div>
                                        </div>
                                        <div *ngIf="showerror">
                                            {{PeekendError}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="ibox-title">
                            <h4>Unit Prices </h4>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Start price(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" maxlength="8"
                                    formControlName="start_price" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['start_price'].invalid && (editForm.controls['start_price'].dirty || editForm.controls['start_price'].touched)">
                                    <div *ngIf="editForm.controls['start_price'].errors.required">
                                        Start price(AED) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['start_price'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Price per distance(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" maxlength="8"
                                    formControlName="price_per_distance" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['price_per_distance'].invalid && (editForm.controls['price_per_distance'].dirty || editForm.controls['price_per_distance'].touched)">
                                    <div *ngIf="editForm.controls['price_per_distance'].errors.required">
                                        Price per distance(AED) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['price_per_distance'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Slow speed(km/h)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" maxlength="8"
                                    formControlName="standing_price" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['standing_price'].invalid && (editForm.controls['standing_price'].dirty || editForm.controls['standing_price'].touched)">
                                    <div *ngIf="editForm.controls['standing_price'].errors.required">
                                        Slow speed(km/h) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['standing_price'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Denomination(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" maxlength="8"
                                    formControlName="denomination" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['denomination'].invalid && (editForm.controls['denomination'].dirty || editForm.controls['denomination'].touched)">
                                    <div *ngIf="editForm.controls['denomination'].errors.required">
                                        Denomination(AED) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['denomination'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Included in start(m)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" maxlength="8"
                                    formControlName="included_in_start" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['included_in_start'].invalid && (editForm.controls['included_in_start'].dirty || editForm.controls['included_in_start'].touched)">
                                    <div *ngIf="editForm.controls['included_in_start'].errors.required">
                                        Included in start(m) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['included_in_start'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Distance charge unit(m)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" maxlength="8"
                                    formControlName="distance_charge_unit" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['distance_charge_unit'].invalid && (editForm.controls['distance_charge_unit'].dirty || editForm.controls['distance_charge_unit'].touched)">
                                    <div *ngIf="editForm.controls['distance_charge_unit'].errors.required">
                                        Distance charge unit(m) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['distance_charge_unit'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Meter clock(s)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" maxlength="8"
                                    formControlName="standing_speed_limit" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['standing_speed_limit'].invalid && (editForm.controls['standing_speed_limit'].dirty || editForm.controls['standing_speed_limit'].touched)">
                                    <div *ngIf="editForm.controls['standing_speed_limit'].errors.required">
                                        Meter clock (s) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['standing_speed_limit'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Minimum fare(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" pattern="[0-9]+([.][0-9]+)?" formControlName="minimum_fare"
                                    maxlength="8" class="form-control">
                                <div class="error-msg"
                                    *ngIf="editForm.controls['minimum_fare'].invalid && (editForm.controls['minimum_fare'].dirty || editForm.controls['minimum_fare'].touched)">
                                    <div *ngIf="editForm.controls['minimum_fare'].errors.required">
                                        Minimum fare(AED) is required.
                                    </div>
                                    <div *ngIf="editForm.controls['minimum_fare'].errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Companies</label>
                            <div class="col-sm-10  form-input">
                                <mat-select class="form-control" placeholder="Companies" formControlName="companies"
                                    multiple required>
                                    <mat-option *ngFor="let group of CompanyData" [value]="group._id">
                                        {{ group.company_name }}</mat-option>
                                </mat-select>
                                <div class="error-msg"
                                    *ngIf="editForm.controls['companies'].invalid && (editForm.controls['companies'].dirty || editForm.controls['companies'].touched)">
                                    <div *ngIf="editForm.controls['companies'].errors.required">Company is required.
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save Changes</button>
                            <button class="btn btn-white" type="submit"
                                [routerLink]="['/admin/administration/tariffs']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>